Store a payment credential
POST
/v1/payment-credentials
const url = 'https://api.extport.dev/api/v1/payment-credentials';const options = { method: 'POST', headers: { cookie: 'extport_session=<extport_session>', 'Content-Type': 'application/json' }, body: '{"provider":"stripe","webhookSecret":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.extport.dev/api/v1/payment-credentials \ --header 'Content-Type: application/json' \ --cookie extport_session=<extport_session> \ --data '{ "provider": "stripe", "webhookSecret": "example" }'Upserts the (tenant, provider) credential — storing again replaces the secret. The secret is never returned.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
provider
required
webhookSecret
required
string
Responses
Section titled “Responses”Stored